Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIPickList

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.UISelectMany
                          org.richfaces.component.AbstractSelectManyComponent
                              org.richfaces.component.AbstractOrderingComponent
                                  org.richfaces.component.AbstractPickList
                                      org.richfaces.component.UIPickList

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.EditableValueHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.1.0.20110910-M2"})
    public class UIPickList

extends AbstractPickList
implements javax.faces.component.behavior.ClientBehaviorHolder

Author:
  Brian Leathem

Nested Class Summary
`protected static class` | `UIPickList.Properties`

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UISelectMany
`INVALID_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID, VALIDATE_EMPTY_FIELDS_PARAM_NAME`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIPickList()`

Method Summary
`java.lang.String` | `getActiveClass()`
`java.lang.String` | `getAddAllText()`
`java.lang.String` | `getAddText()`
`java.lang.String` | `getChangedClass()`
`java.lang.String` | `getColumnClasses()`
`java.lang.String` | `getDefaultEventName()`
`java.lang.String` | `getDisabledClass()`
`java.lang.String` | `getDownBottomText()`
`java.lang.String` | `getDownText()`
`java.util.Collection<java.lang.String>` | `getEventNames()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeaderClass()`
`java.lang.String` | `getItemClass()`
`java.lang.String` | `getListHeight()`
`java.lang.String` | `getListWidth()`
`java.lang.String` | `getMaxListHeight()`
`java.lang.String` | `getMinListHeight()`
`java.lang.String` | `getOnadditems()`
`java.lang.String` | `getOnblur()`
`java.lang.String` | `getOnchange()`
`java.lang.String` | `getOnclick()`
`java.lang.String` | `getOndblclick()`
`java.lang.String` | `getOnfocus()`
`java.lang.String` | `getOnkeydown()`
`java.lang.String` | `getOnkeypress()`
`java.lang.String` | `getOnkeyup()`
`java.lang.String` | `getOnmousedown()`
`java.lang.String` | `getOnmousemove()`
`java.lang.String` | `getOnmouseout()`
`java.lang.String` | `getOnmouseover()`
`java.lang.String` | `getOnmouseup()`
`java.lang.String` | `getOnremoveitems()`
`java.lang.String` | `getOnsourceblur()`
`java.lang.String` | `getOnsourceclick()`
`java.lang.String` | `getOnsourcedblclick()`
`java.lang.String` | `getOnsourcefocus()`
`java.lang.String` | `getOnsourcekeydown()`
`java.lang.String` | `getOnsourcekeypress()`
`java.lang.String` | `getOnsourcekeyup()`
`java.lang.String` | `getOnsourcemousedown()`
`java.lang.String` | `getOnsourcemousemove()`
`java.lang.String` | `getOnsourcemouseout()`
`java.lang.String` | `getOnsourcemouseover()`
`java.lang.String` | `getOnsourcemouseup()`
`java.lang.String` | `getOntargetblur()`
`java.lang.String` | `getOntargetclick()`
`java.lang.String` | `getOntargetdblclick()`
`java.lang.String` | `getOntargetfocus()`
`java.lang.String` | `getOntargetkeydown()`
`java.lang.String` | `getOntargetkeypress()`
`java.lang.String` | `getOntargetkeyup()`
`java.lang.String` | `getOntargetmousedown()`
`java.lang.String` | `getOntargetmousemove()`
`java.lang.String` | `getOntargetmouseout()`
`java.lang.String` | `getOntargetmouseover()`
`java.lang.String` | `getOntargetmouseup()`
`java.lang.String` | `getRemoveAllText()`
`java.lang.String` | `getRemoveText()`
`java.lang.String` | `getSelectItemClass()`
`java.lang.String` | `getSourceCaption()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTargetCaption()`
`java.lang.String` | `getUpText()`
`java.lang.String` | `getUpTopText()`
`java.lang.String` | `getVar()`
`boolean` | `isDisabled()`
`boolean` | `isOrderable()`
`boolean` | `isShowButton()`
`void` | `setActiveClass(java.lang.String activeClass)`
`void` | `setAddAllText(java.lang.String addAllText)`
`void` | `setAddText(java.lang.String addText)`
`void` | `setChangedClass(java.lang.String changedClass)`
`void` | `setColumnClasses(java.lang.String columnClasses)`
`void` | `setDisabled(boolean disabled)`
`void` | `setDisabledClass(java.lang.String disabledClass)`
`void` | `setDownBottomText(java.lang.String downBottomText)`
`void` | `setDownText(java.lang.String downText)`
`void` | `setHeaderClass(java.lang.String headerClass)`
`void` | `setItemClass(java.lang.String itemClass)`
`void` | `setListHeight(java.lang.String listHeight)`
`void` | `setListWidth(java.lang.String listWidth)`
`void` | `setMaxListHeight(java.lang.String maxListHeight)`
`void` | `setMinListHeight(java.lang.String minListHeight)`
`void` | `setOnadditems(java.lang.String onadditems)`
`void` | `setOnblur(java.lang.String onblur)`
`void` | `setOnchange(java.lang.String onchange)`
`void` | `setOnclick(java.lang.String onclick)`
`void` | `setOndblclick(java.lang.String ondblclick)`
`void` | `setOnfocus(java.lang.String onfocus)`
`void` | `setOnkeydown(java.lang.String onkeydown)`
`void` | `setOnkeypress(java.lang.String onkeypress)`
`void` | `setOnkeyup(java.lang.String onkeyup)`
`void` | `setOnmousedown(java.lang.String onmousedown)`
`void` | `setOnmousemove(java.lang.String onmousemove)`
`void` | `setOnmouseout(java.lang.String onmouseout)`
`void` | `setOnmouseover(java.lang.String onmouseover)`
`void` | `setOnmouseup(java.lang.String onmouseup)`
`void` | `setOnremoveitems(java.lang.String onremoveitems)`
`void` | `setOnsourceblur(java.lang.String onsourceblur)`
`void` | `setOnsourceclick(java.lang.String onsourceclick)`
`void` | `setOnsourcedblclick(java.lang.String onsourcedblclick)`
`void` | `setOnsourcefocus(java.lang.String onsourcefocus)`
`void` | `setOnsourcekeydown(java.lang.String onsourcekeydown)`
`void` | `setOnsourcekeypress(java.lang.String onsourcekeypress)`
`void` | `setOnsourcekeyup(java.lang.String onsourcekeyup)`
`void` | `setOnsourcemousedown(java.lang.String onsourcemousedown)`
`void` | `setOnsourcemousemove(java.lang.String onsourcemousemove)`
`void` | `setOnsourcemouseout(java.lang.String onsourcemouseout)`
`void` | `setOnsourcemouseover(java.lang.String onsourcemouseover)`
`void` | `setOnsourcemouseup(java.lang.String onsourcemouseup)`
`void` | `setOntargetblur(java.lang.String ontargetblur)`
`void` | `setOntargetclick(java.lang.String ontargetclick)`
`void` | `setOntargetdblclick(java.lang.String ontargetdblclick)`
`void` | `setOntargetfocus(java.lang.String ontargetfocus)`
`void` | `setOntargetkeydown(java.lang.String ontargetkeydown)`
`void` | `setOntargetkeypress(java.lang.String ontargetkeypress)`
`void` | `setOntargetkeyup(java.lang.String ontargetkeyup)`
`void` | `setOntargetmousedown(java.lang.String ontargetmousedown)`
`void` | `setOntargetmousemove(java.lang.String ontargetmousemove)`
`void` | `setOntargetmouseout(java.lang.String ontargetmouseout)`
`void` | `setOntargetmouseover(java.lang.String ontargetmouseover)`
`void` | `setOntargetmouseup(java.lang.String ontargetmouseup)`
`void` | `setOrderable(boolean orderable)`
`void` | `setRemoveAllText(java.lang.String removeAllText)`
`void` | `setRemoveText(java.lang.String removeText)`
`void` | `setSelectItemClass(java.lang.String selectItemClass)`
`void` | `setShowButton(boolean showButton)`
`void` | `setSourceCaption(java.lang.String sourceCaption)`
`void` | `setStyle(java.lang.String style)`
`void` | `setStyleClass(java.lang.String styleClass)`
`void` | `setTargetCaption(java.lang.String targetCaption)`
`void` | `setUpText(java.lang.String upText)`
`void` | `setUpTopText(java.lang.String upTopText)`
`void` | `setVar(java.lang.String var)`

Methods inherited from class org.richfaces.component.AbstractSelectManyComponent
`columns, validateValue`

Methods inherited from class javax.faces.component.UISelectMany
`compareValues, getSelectedValues, getValueBinding, getValueExpression, setSelectedValues, setValueBinding, setValueExpression`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, clearInitialState, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isEmpty, isImmediate, isLocalValueSet, isRequired, isValid, markInitialState, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, restoreState, saveState, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIPickList

    public UIPickList()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UISelectMany`

### getEventNames

    public java.util.Collection<java.lang.String> getEventNames()

  Specified by:
    `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `javax.faces.component.UIComponentBase`

### getDefaultEventName

    public java.lang.String getDefaultEventName()

  Specified by:
    `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

### getActiveClass

    public java.lang.String getActiveClass()

  Specified by:
    `getActiveClass` in class `AbstractSelectManyComponent`

### setActiveClass

    public void setActiveClass(java.lang.String activeClass)

### getAddAllText

    public java.lang.String getAddAllText()

  Specified by:
    `getAddAllText` in class `AbstractPickList`

### setAddAllText

    public void setAddAllText(java.lang.String addAllText)

### getAddText

    public java.lang.String getAddText()

  Specified by:
    `getAddText` in class `AbstractPickList`

### setAddText

    public void setAddText(java.lang.String addText)

### getChangedClass

    public java.lang.String getChangedClass()

  Specified by:
    `getChangedClass` in class `AbstractSelectManyComponent`

### setChangedClass

    public void setChangedClass(java.lang.String changedClass)

### getColumnClasses

    public java.lang.String getColumnClasses()

  Specified by:
    `getColumnClasses` in class `AbstractSelectManyComponent`

### setColumnClasses

    public void setColumnClasses(java.lang.String columnClasses)

### isDisabled

    public boolean isDisabled()

  Specified by:
    `isDisabled` in class `AbstractSelectManyComponent`

### setDisabled

    public void setDisabled(boolean disabled)

### getDisabledClass

    public java.lang.String getDisabledClass()

  Specified by:
    `getDisabledClass` in class `AbstractSelectManyComponent`

### setDisabledClass

    public void setDisabledClass(java.lang.String disabledClass)

### getDownBottomText

    public java.lang.String getDownBottomText()

  Specified by:
    `getDownBottomText` in class `AbstractOrderingComponent`

### setDownBottomText

    public void setDownBottomText(java.lang.String downBottomText)

### getDownText

    public java.lang.String getDownText()

  Specified by:
    `getDownText` in class `AbstractOrderingComponent`

### setDownText

    public void setDownText(java.lang.String downText)

### getHeaderClass

    public java.lang.String getHeaderClass()

  Specified by:
    `getHeaderClass` in class `AbstractSelectManyComponent`

### setHeaderClass

    public void setHeaderClass(java.lang.String headerClass)

### getItemClass

    public java.lang.String getItemClass()

  Specified by:
    `getItemClass` in class `AbstractSelectManyComponent`

### setItemClass

    public void setItemClass(java.lang.String itemClass)

### getListHeight

    public java.lang.String getListHeight()

  Specified by:
    `getListHeight` in class `AbstractSelectManyComponent`

### setListHeight

    public void setListHeight(java.lang.String listHeight)

### getListWidth

    public java.lang.String getListWidth()

  Specified by:
    `getListWidth` in class `AbstractSelectManyComponent`

### setListWidth

    public void setListWidth(java.lang.String listWidth)

### getMaxListHeight

    public java.lang.String getMaxListHeight()

  Specified by:
    `getMaxListHeight` in class `AbstractSelectManyComponent`

### setMaxListHeight

    public void setMaxListHeight(java.lang.String maxListHeight)

### getMinListHeight

    public java.lang.String getMinListHeight()

  Specified by:
    `getMinListHeight` in class `AbstractSelectManyComponent`

### setMinListHeight

    public void setMinListHeight(java.lang.String minListHeight)

### getOnadditems

    public java.lang.String getOnadditems()

  Specified by:
    `getOnadditems` in class `AbstractPickList`

### setOnadditems

    public void setOnadditems(java.lang.String onadditems)

### getOnblur

    public java.lang.String getOnblur()

  Specified by:
    `getOnblur` in class `AbstractSelectManyComponent`

### setOnblur

    public void setOnblur(java.lang.String onblur)

### getOnchange

    public java.lang.String getOnchange()

  Specified by:
    `getOnchange` in class `AbstractSelectManyComponent`

### setOnchange

    public void setOnchange(java.lang.String onchange)

### getOnclick

    public java.lang.String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractSelectManyComponent`

### setOnclick

    public void setOnclick(java.lang.String onclick)

### getOndblclick

    public java.lang.String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractSelectManyComponent`

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### getOnfocus

    public java.lang.String getOnfocus()

  Specified by:
    `getOnfocus` in class `AbstractSelectManyComponent`

### setOnfocus

    public void setOnfocus(java.lang.String onfocus)

### getOnkeydown

    public java.lang.String getOnkeydown()

  Specified by:
    `getOnkeydown` in class `AbstractSelectManyComponent`

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### getOnkeypress

    public java.lang.String getOnkeypress()

  Specified by:
    `getOnkeypress` in class `AbstractSelectManyComponent`

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### getOnkeyup

    public java.lang.String getOnkeyup()

  Specified by:
    `getOnkeyup` in class `AbstractSelectManyComponent`

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)

### getOnmousedown

    public java.lang.String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractSelectManyComponent`

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### getOnmousemove

    public java.lang.String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractSelectManyComponent`

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### getOnmouseout

    public java.lang.String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractSelectManyComponent`

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### getOnmouseover

    public java.lang.String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractSelectManyComponent`

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### getOnmouseup

    public java.lang.String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractSelectManyComponent`

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### getOnremoveitems

    public java.lang.String getOnremoveitems()

  Specified by:
    `getOnremoveitems` in class `AbstractPickList`

### setOnremoveitems

    public void setOnremoveitems(java.lang.String onremoveitems)

### getOnsourceblur

    public java.lang.String getOnsourceblur()

  Specified by:
    `getOnsourceblur` in class `AbstractPickList`

### setOnsourceblur

    public void setOnsourceblur(java.lang.String onsourceblur)

### getOnsourceclick

    public java.lang.String getOnsourceclick()

  Specified by:
    `getOnsourceclick` in class `AbstractPickList`

### setOnsourceclick

    public void setOnsourceclick(java.lang.String onsourceclick)

### getOnsourcedblclick

    public java.lang.String getOnsourcedblclick()

  Specified by:
    `getOnsourcedblclick` in class `AbstractPickList`

### setOnsourcedblclick

    public void setOnsourcedblclick(java.lang.String onsourcedblclick)

### getOnsourcefocus

    public java.lang.String getOnsourcefocus()

  Specified by:
    `getOnsourcefocus` in class `AbstractPickList`

### setOnsourcefocus

    public void setOnsourcefocus(java.lang.String onsourcefocus)

### getOnsourcekeydown

    public java.lang.String getOnsourcekeydown()

  Specified by:
    `getOnsourcekeydown` in class `AbstractPickList`

### setOnsourcekeydown

    public void setOnsourcekeydown(java.lang.String onsourcekeydown)

### getOnsourcekeypress

    public java.lang.String getOnsourcekeypress()

  Specified by:
    `getOnsourcekeypress` in class `AbstractPickList`

### setOnsourcekeypress

    public void setOnsourcekeypress(java.lang.String onsourcekeypress)

### getOnsourcekeyup

    public java.lang.String getOnsourcekeyup()

  Specified by:
    `getOnsourcekeyup` in class `AbstractPickList`

### setOnsourcekeyup

    public void setOnsourcekeyup(java.lang.String onsourcekeyup)

### getOnsourcemousedown

    public java.lang.String getOnsourcemousedown()

  Specified by:
    `getOnsourcemousedown` in class `AbstractPickList`

### setOnsourcemousedown

    public void setOnsourcemousedown(java.lang.String onsourcemousedown)

### getOnsourcemousemove

    public java.lang.String getOnsourcemousemove()

  Specified by:
    `getOnsourcemousemove` in class `AbstractPickList`

### setOnsourcemousemove

    public void setOnsourcemousemove(java.lang.String onsourcemousemove)

### getOnsourcemouseout

    public java.lang.String getOnsourcemouseout()

  Specified by:
    `getOnsourcemouseout` in class `AbstractPickList`

### setOnsourcemouseout

    public void setOnsourcemouseout(java.lang.String onsourcemouseout)

### getOnsourcemouseover

    public java.lang.String getOnsourcemouseover()

  Specified by:
    `getOnsourcemouseover` in class `AbstractPickList`

### setOnsourcemouseover

    public void setOnsourcemouseover(java.lang.String onsourcemouseover)

### getOnsourcemouseup

    public java.lang.String getOnsourcemouseup()

  Specified by:
    `getOnsourcemouseup` in class `AbstractPickList`

### setOnsourcemouseup

    public void setOnsourcemouseup(java.lang.String onsourcemouseup)

### getOntargetblur

    public java.lang.String getOntargetblur()

  Specified by:
    `getOntargetblur` in class `AbstractPickList`

### setOntargetblur

    public void setOntargetblur(java.lang.String ontargetblur)

### getOntargetclick

    public java.lang.String getOntargetclick()

  Specified by:
    `getOntargetclick` in class `AbstractPickList`

### setOntargetclick

    public void setOntargetclick(java.lang.String ontargetclick)

### getOntargetdblclick

    public java.lang.String getOntargetdblclick()

  Specified by:
    `getOntargetdblclick` in class `AbstractPickList`

### setOntargetdblclick

    public void setOntargetdblclick(java.lang.String ontargetdblclick)

### getOntargetfocus

    public java.lang.String getOntargetfocus()

  Specified by:
    `getOntargetfocus` in class `AbstractPickList`

### setOntargetfocus

    public void setOntargetfocus(java.lang.String ontargetfocus)

### getOntargetkeydown

    public java.lang.String getOntargetkeydown()

  Specified by:
    `getOntargetkeydown` in class `AbstractPickList`

### setOntargetkeydown

    public void setOntargetkeydown(java.lang.String ontargetkeydown)

### getOntargetkeypress

    public java.lang.String getOntargetkeypress()

  Specified by:
    `getOntargetkeypress` in class `AbstractPickList`

### setOntargetkeypress

    public void setOntargetkeypress(java.lang.String ontargetkeypress)

### getOntargetkeyup

    public java.lang.String getOntargetkeyup()

  Specified by:
    `getOntargetkeyup` in class `AbstractPickList`

### setOntargetkeyup

    public void setOntargetkeyup(java.lang.String ontargetkeyup)

### getOntargetmousedown

    public java.lang.String getOntargetmousedown()

  Specified by:
    `getOntargetmousedown` in class `AbstractPickList`

### setOntargetmousedown

    public void setOntargetmousedown(java.lang.String ontargetmousedown)

### getOntargetmousemove

    public java.lang.String getOntargetmousemove()

  Specified by:
    `getOntargetmousemove` in class `AbstractPickList`

### setOntargetmousemove

    public void setOntargetmousemove(java.lang.String ontargetmousemove)

### getOntargetmouseout

    public java.lang.String getOntargetmouseout()

  Specified by:
    `getOntargetmouseout` in class `AbstractPickList`

### setOntargetmouseout

    public void setOntargetmouseout(java.lang.String ontargetmouseout)

### getOntargetmouseover

    public java.lang.String getOntargetmouseover()

  Specified by:
    `getOntargetmouseover` in class `AbstractPickList`

### setOntargetmouseover

    public void setOntargetmouseover(java.lang.String ontargetmouseover)

### getOntargetmouseup

    public java.lang.String getOntargetmouseup()

  Specified by:
    `getOntargetmouseup` in class `AbstractPickList`

### setOntargetmouseup

    public void setOntargetmouseup(java.lang.String ontargetmouseup)

### isOrderable

    public boolean isOrderable()

  Specified by:
    `isOrderable` in class `AbstractPickList`

### setOrderable

    public void setOrderable(boolean orderable)

### getRemoveAllText

    public java.lang.String getRemoveAllText()

  Specified by:
    `getRemoveAllText` in class `AbstractPickList`

### setRemoveAllText

    public void setRemoveAllText(java.lang.String removeAllText)

### getRemoveText

    public java.lang.String getRemoveText()

  Specified by:
    `getRemoveText` in class `AbstractPickList`

### setRemoveText

    public void setRemoveText(java.lang.String removeText)

### getSelectItemClass

    public java.lang.String getSelectItemClass()

  Specified by:
    `getSelectItemClass` in class `AbstractSelectManyComponent`

### setSelectItemClass

    public void setSelectItemClass(java.lang.String selectItemClass)

### isShowButton

    public boolean isShowButton()

  Specified by:
    `isShowButton` in class `AbstractOrderingComponent`

### setShowButton

    public void setShowButton(boolean showButton)

### getSourceCaption

    public java.lang.String getSourceCaption()

  Specified by:
    `getSourceCaption` in class `AbstractPickList`

### setSourceCaption

    public void setSourceCaption(java.lang.String sourceCaption)

### getStyle

    public java.lang.String getStyle()

  Specified by:
    `getStyle` in class `AbstractSelectManyComponent`

### setStyle

    public void setStyle(java.lang.String style)

### getStyleClass

    public java.lang.String getStyleClass()

  Specified by:
    `getStyleClass` in class `AbstractSelectManyComponent`

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### getTargetCaption

    public java.lang.String getTargetCaption()

  Specified by:
    `getTargetCaption` in class `AbstractPickList`

### setTargetCaption

    public void setTargetCaption(java.lang.String targetCaption)

### getUpText

    public java.lang.String getUpText()

  Specified by:
    `getUpText` in class `AbstractOrderingComponent`

### setUpText

    public void setUpText(java.lang.String upText)

### getUpTopText

    public java.lang.String getUpTopText()

  Specified by:
    `getUpTopText` in class `AbstractOrderingComponent`

### setUpTopText

    public void setUpTopText(java.lang.String upTopText)

### getVar

    public java.lang.String getVar()

  Specified by:
    `getVar` in class `AbstractSelectManyComponent`

### setVar

    public void setVar(java.lang.String var)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.